
%%%%%%%%%%%%%%%%%%%%%%%%
% SCENARIO 4 - soma only
%%%%%%%%%%%%%%%%%%%%%%%%

% No modulation
idx_3Hz = find(f_s0 == 3);
idx_0Hz = find(f_s0 == 0);
prs3mod0 = pxx_s0(idx_3Hz) / pxx_s0(idx_0Hz);

idx_3Hz = find(f_sh0 == 3);
idx_0Hz = find(f_sh0 == 0);
prs3mod0nh = pxx_sh0(idx_3Hz) / pxx_sh0(idx_0Hz);

% 2Hz modulation
idx_3Hz = find(f_s2_06 == 3);
idx_0Hz = find(f_s2_06 == 0);
prs3mod2 = pxx_s2_06(idx_3Hz) / pxx_s2_06(idx_0Hz);

idx_3Hz = find(f_sh2_06 == 3);
idx_0Hz = find(f_sh2_06 == 0);
prs3mod2nh = pxx_sh2_06(idx_3Hz) / pxx_sh2_06(idx_0Hz);

% 8Hz modulation
idx_3Hz = find(f_s8_06 == 3);
idx_0Hz = find(f_s8_06 == 0);
prs3mod8 = pxx_s8_06(idx_3Hz) / pxx_s8_06(idx_0Hz);

idx_3Hz = find(f_sh8_06 == 3);
idx_0Hz = find(f_sh8_06 == 0);
prs3mod8nh = pxx_sh8_06(idx_3Hz) / pxx_sh8_06(idx_0Hz);

% 20Hz modulation
idx_3Hz = find(f_s20_06 == 3);
idx_0Hz = find(f_s20_06 == 0);
prs3mod20 = pxx_s20_06(idx_3Hz) / pxx_s20_06(idx_0Hz);

idx_3Hz = find(f_sh20_06 == 3);
idx_0Hz = find(f_sh20_06 == 0);
prs3mod20nh = pxx_sh20_06(idx_3Hz) / pxx_sh20_06(idx_0Hz);

% 30Hz modulation
idx_3Hz = find(f_s30_06 == 3);
idx_0Hz = find(f_s30_06 == 0);
prs3mod30 = pxx_s30_06(idx_3Hz) / pxx_s30_06(idx_0Hz);

idx_3Hz = find(f_sh30_06 == 3);
idx_0Hz = find(f_sh30_06 == 0);
prs3mod30nh = pxx_sh30_06(idx_3Hz) / pxx_sh30_06(idx_0Hz);

figure;
bar([prs3mod0, prs3mod0nh, prs3mod2, prs3mod2nh, prs3mod8, prs3mod8nh, prs3mod20, prs3mod20nh, prs3mod30, prs3mod30nh]);
set(gca,'XTickLabel',{'No mod','No mod+ZD','2Hz mod','2Hz mod+ZD','8Hz mod','8Hz mod+ZD','20Hz mod','20Hz mod+ZD','30Hz mod','30Hz mod+ZD'});
title('Power ratios for somatic inputs');
ylim([0:1]);
ylabel('Ratio of 3Hz power to zero frequency power');


%%%%%%%%%%%%%%%%%%%%%%%
% SCENARIO 5 - somadend
%%%%%%%%%%%%%%%%%%%%%%%

% No modulation
idx_3Hz = find(f_sd0 == 3);
idx_0Hz = find(f_sd0 == 0);
prsd3mod0 = pxx_sd0(idx_3Hz) / pxx_sd0(idx_0Hz);

idx_3Hz = find(f_sdh0 == 3);
idx_0Hz = find(f_sdh0 == 0);
prsd3mod0nh = pxx_sdh0(idx_3Hz) / pxx_sdh0(idx_0Hz);

% 2Hz modulation
idx_3Hz = find(f_sd2_06 == 3);
idx_0Hz = find(f_sd2_06 == 0);
prsd3mod2 = pxx_sd2_06(idx_3Hz) / pxx_sd2_06(idx_0Hz);

idx_3Hz = find(f_sdh2_06 == 3);
idx_0Hz = find(f_sdh2_06 == 0);
prsd3mod2nh = pxx_sdh2_06(idx_3Hz) / pxx_sdh2_06(idx_0Hz);

% 8Hz modulation
idx_3Hz = find(f_sd8_06 == 3);
idx_0Hz = find(f_sd8_06 == 0);
prsd3mod8 = pxx_sd8_06(idx_3Hz) / pxx_sd8_06(idx_0Hz);

idx_3Hz = find(f_sdh8_06 == 3);
idx_0Hz = find(f_sdh8_06 == 0);
prsd3mod8nh = pxx_sdh8_06(idx_3Hz) / pxx_sdh8_06(idx_0Hz);

% 20Hz modulation
idx_3Hz = find(f_sd20_06 == 3);
idx_0Hz = find(f_sd20_06 == 0);
prsd3mod20 = pxx_sd20_06(idx_3Hz) / pxx_sd20_06(idx_0Hz);

idx_3Hz = find(f_sdh20_06 == 3);
idx_0Hz = find(f_sdh20_06 == 0);
prsd3mod20nh = pxx_sdh20_06(idx_3Hz) / pxx_sdh20_06(idx_0Hz);

% 30Hz modulation
idx_3Hz = find(f_sd30_06 == 3);
idx_0Hz = find(f_sd30_06 == 0);
prsd3mod30 = pxx_sd30_06(idx_3Hz) / pxx_sd30_06(idx_0Hz);

idx_3Hz = find(f_sdh30_06 == 3);
idx_0Hz = find(f_sdh30_06 == 0);
prsd3mod30nh = pxx_sdh30_06(idx_3Hz) / pxx_sdh30_06(idx_0Hz);

figure;
bar([prsd3mod0, prsd3mod0nh, prsd3mod2, prsd3mod2nh, prsd3mod8, prsd3mod8nh, prsd3mod20, prsd3mod20nh, prsd3mod30, prsd3mod30nh]);
set(gca,'XTickLabel',{'No mod','No mod+ZD','2Hz mod','2Hz mod+ZD','8Hz mod','8Hz mod+ZD','20Hz mod','20Hz mod+ZD','30Hz mod','30Hz mod+ZD'});
title('Power ratios for somatodendritic inputs');
ylim([0:1]);
ylabel('Ratio of 3Hz power to zero frequency power');
