
%%%%%%%%%%%%%%%%%%%%%%%%
% SCENARIO 4 - soma only
%%%%%%%%%%%%%%%%%%%%%%%%

% No modulation
idx_5Hz = find(f_s0 == 5);
idx_0Hz = find(f_s0 == 0);
prs5mod0 = pxx_s0(idx_5Hz) / pxx_s0(idx_0Hz);

idx_5Hz = find(f_sh0 == 5);
idx_0Hz = find(f_sh0 == 0);
prs5mod0nh = pxx_sh0(idx_5Hz) / pxx_sh0(idx_0Hz);

% 2Hz modulation
idx_5Hz = find(f_s2_02 == 5);
idx_0Hz = find(f_s2_02 == 0);
prs5mod2 = pxx_s2_02(idx_5Hz) / pxx_s2_02(idx_0Hz);

idx_5Hz = find(f_sh2_02 == 5);
idx_0Hz = find(f_sh2_02 == 0);
prs5mod2nh = pxx_sh2_02(idx_5Hz) / pxx_sh2_02(idx_0Hz);

% 8Hz modulation
idx_5Hz = find(f_s8_02 == 5);
idx_0Hz = find(f_s8_02 == 0);
prs5mod8 = pxx_s8_02(idx_5Hz) / pxx_s8_02(idx_0Hz);

idx_5Hz = find(f_sh8_02 == 5);
idx_0Hz = find(f_sh8_02 == 0);
prs5mod8nh = pxx_sh8_02(idx_5Hz) / pxx_sh8_02(idx_0Hz);

% 20Hz modulation
idx_5Hz = find(f_s20_02 == 5);
idx_0Hz = find(f_s20_02 == 0);
prs5mod20 = pxx_s20_02(idx_5Hz) / pxx_s20_02(idx_0Hz);

idx_5Hz = find(f_sh20_02 == 5);
idx_0Hz = find(f_sh20_02 == 0);
prs5mod20nh = pxx_sh20_02(idx_5Hz) / pxx_sh20_02(idx_0Hz);

% 30Hz modulation
idx_5Hz = find(f_s30_02 == 5);
idx_0Hz = find(f_s30_02 == 0);
prs5mod30 = pxx_s30_02(idx_5Hz) / pxx_s30_02(idx_0Hz);

idx_5Hz = find(f_sh30_02 == 5);
idx_0Hz = find(f_sh30_02 == 0);
prs5mod30nh = pxx_sh30_02(idx_5Hz) / pxx_sh30_02(idx_0Hz);

figure;
bar([prs5mod0, prs5mod0nh, prs5mod2, prs5mod2nh, prs5mod8, prs5mod8nh, prs5mod20, prs5mod20nh, prs5mod30, prs5mod30nh]);
set(gca,'XTickLabel',{'No mod','No mod+ZD','2Hz mod','2Hz mod+ZD','8Hz mod','8Hz mod+ZD','20Hz mod','20Hz mod+ZD','30Hz mod','30Hz mod+ZD'});
title('Power ratios for somatic inputs');
ylim([0:1]);
ylabel('Ratio of 5Hz power to zero frequency power');


%%%%%%%%%%%%%%%%%%%%%%%
% SCENARIO 5 - somadend
%%%%%%%%%%%%%%%%%%%%%%%

% No modulation
idx_5Hz = find(f_sd0 == 5);
idx_0Hz = find(f_sd0 == 0);
prsd5mod0 = pxx_sd0(idx_5Hz) / pxx_sd0(idx_0Hz);

idx_5Hz = find(f_sdh0 == 5);
idx_0Hz = find(f_sdh0 == 0);
prsd5mod0nh = pxx_sdh0(idx_5Hz) / pxx_sdh0(idx_0Hz);

% 2Hz modulation
idx_5Hz = find(f_sd2_02 == 5);
idx_0Hz = find(f_sd2_02 == 0);
prsd5mod2 = pxx_sd2_02(idx_5Hz) / pxx_sd2_02(idx_0Hz);

idx_5Hz = find(f_sdh2_02 == 5);
idx_0Hz = find(f_sdh2_02 == 0);
prsd5mod2nh = pxx_sdh2_02(idx_5Hz) / pxx_sdh2_02(idx_0Hz);

% 8Hz modulation
idx_5Hz = find(f_sd8_02 == 5);
idx_0Hz = find(f_sd8_02 == 0);
prsd5mod8 = pxx_sd8_02(idx_5Hz) / pxx_sd8_02(idx_0Hz);

idx_5Hz = find(f_sdh8_02 == 5);
idx_0Hz = find(f_sdh8_02 == 0);
prsd5mod8nh = pxx_sdh8_02(idx_5Hz) / pxx_sdh8_02(idx_0Hz);

% 20Hz modulation
idx_5Hz = find(f_sd20_02 == 5);
idx_0Hz = find(f_sd20_02 == 0);
prsd5mod20 = pxx_sd20_02(idx_5Hz) / pxx_sd20_02(idx_0Hz);

idx_5Hz = find(f_sdh20_02 == 5);
idx_0Hz = find(f_sdh20_02 == 0);
prsd5mod20nh = pxx_sdh20_02(idx_5Hz) / pxx_sdh20_02(idx_0Hz);

% 30Hz modulation
idx_5Hz = find(f_sd30_02 == 5);
idx_0Hz = find(f_sd30_02 == 0);
prsd5mod30 = pxx_sd30_02(idx_5Hz) / pxx_sd30_02(idx_0Hz);

idx_5Hz = find(f_sdh30_02 == 5);
idx_0Hz = find(f_sdh30_02 == 0);
prsd5mod30nh = pxx_sdh30_02(idx_5Hz) / pxx_sdh30_02(idx_0Hz);

figure;
bar([prsd5mod0, prsd5mod0nh, prsd5mod2, prsd5mod2nh, prsd5mod8, prsd5mod8nh, prsd5mod20, prsd5mod20nh, prsd5mod30, prsd5mod30nh]);
set(gca,'XTickLabel',{'No mod','No mod+ZD','2Hz mod','2Hz mod+ZD','8Hz mod','8Hz mod+ZD','20Hz mod','20Hz mod+ZD','30Hz mod','30Hz mod+ZD'});
title('Power ratios for somatodendritic inputs');
ylim([0:1]);
ylabel('Ratio of 5Hz power to zero frequency power');
